<?php

namespace App\Policies;

use Illuminate\Auth\Access\Response;
use App\Models\VehicleMaster;
use App\Models\User;

class VehicleMasterPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->checkPermissionTo('view-any VehicleMaster');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, VehicleMaster $vehiclemaster): bool
    {
        return $user->checkPermissionTo('view VehicleMaster');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->checkPermissionTo('create VehicleMaster');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, VehicleMaster $vehiclemaster): bool
    {
        return $user->checkPermissionTo('update VehicleMaster');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, VehicleMaster $vehiclemaster): bool
    {
        return $user->checkPermissionTo('delete VehicleMaster');
    }

    /**
     * Determine whether the user can delete any models.
     */
    public function deleteAny(User $user): bool
    {
        return $user->checkPermissionTo('delete-any VehicleMaster');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, VehicleMaster $vehiclemaster): bool
    {
        return $user->checkPermissionTo('restore VehicleMaster');
    }

    /**
     * Determine whether the user can restore any models.
     */
    public function restoreAny(User $user): bool
    {
        return $user->checkPermissionTo('restore-any VehicleMaster');
    }

    /**
     * Determine whether the user can replicate the model.
     */
    public function replicate(User $user, VehicleMaster $vehiclemaster): bool
    {
        return $user->checkPermissionTo('replicate VehicleMaster');
    }

    /**
     * Determine whether the user can reorder the models.
     */
    public function reorder(User $user): bool
    {
        return $user->checkPermissionTo('reorder VehicleMaster');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, VehicleMaster $vehiclemaster): bool
    {
        return $user->checkPermissionTo('force-delete VehicleMaster');
    }

    /**
     * Determine whether the user can permanently delete any models.
     */
    public function forceDeleteAny(User $user): bool
    {
        return $user->checkPermissionTo('force-delete-any VehicleMaster');
    }
}
